summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHanno <hanno@gentoo.org>2018-12-12 12:06:28 +0100
committerHanno <hanno@gentoo.org>2018-12-12 12:06:28 +0100
commit73ff80f69758a022160b8e485bccd91839e7c2d2 (patch)
treee3b7ee5dc9c72cc5aaa34137d10650f3e2f13963 /lxde-base
parentprofiles/package.mask: mask ruby23-only slots for removal (diff)
downloadgentoo-73ff80f69758a022160b8e485bccd91839e7c2d2.tar.gz
gentoo-73ff80f69758a022160b8e485bccd91839e7c2d2.tar.bz2
gentoo-73ff80f69758a022160b8e485bccd91839e7c2d2.zip
lxde-base/lxterminal: Version bump
Signed-off-by: Hanno Boeck <hanno@gentoo.org> Package-Manager: Portage-2.3.52, Repoman-2.3.12
Diffstat (limited to 'lxde-base')
-rw-r--r--lxde-base/lxterminal/Manifest1
-rw-r--r--lxde-base/lxterminal/lxterminal-0.3.2.ebuild47
2 files changed, 48 insertions, 0 deletions
diff --git a/lxde-base/lxterminal/Manifest b/lxde-base/lxterminal/Manifest
index 2968ffbefa4..a8da3679633 100644
--- a/lxde-base/lxterminal/Manifest
+++ b/lxde-base/lxterminal/Manifest
@@ -1 +1,2 @@
DIST lxterminal-0.3.1.tar.xz 197628 BLAKE2B 9448855b6d1bfc3fc272ec40f7e5b4fde1dfcb861254db3ed35b73611fd2dc5ca5d760542251f297289a051913e6eb6d669b2c04b194e01862ff7e79305c2e14 SHA512 3063eb7bc7426293d35dc1d9c32d5841e4c3f0b417f3cfa3e5a7bf4d9b71df9c9d375d53d6dd6694b318085ba07167bd8403b2caea9c6e9197aef4b7802877fc
+DIST lxterminal-0.3.2.tar.xz 198348 BLAKE2B 7b24a138dd48bb6dc85a253b21e897e68d1a7e16a0d30aa45a87b4b97540c996b6a196d8f8be6fb37d9e506544878bd3eb65fe098d4d695be51e94b3ff15cd6b SHA512 0711d6eeed1f7e301fd24e0d5f750a48f29cc10c7cd40bcc1de57cceddfe4cb15718e9fb812da975faff24aed99cdd3978cb5f29838f47e276fce47f01577119
diff --git a/lxde-base/lxterminal/lxterminal-0.3.2.ebuild b/lxde-base/lxterminal/lxterminal-0.3.2.ebuild
new file mode 100644
index 00000000000..a11e78007f3
--- /dev/null
+++ b/lxde-base/lxterminal/lxterminal-0.3.2.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PLOCALES="af ar be bg bn bn_IN ca cs da de el en_GB eo es et eu fa fi fo fr frp gl
+he hr hu id is it ja kk ko lg lt ml ms nb nl nn pa pl ps pt pt_BR ro ru sk sl sr
+sr@latin sv te th tr tt_RU ug uk ur ur_PK vi zh_CN zh_TW"
+PLOCALE_BACKUP="en_GB"
+
+inherit autotools l10n
+
+DESCRIPTION="Lightweight vte-based tabbed terminal emulator for LXDE"
+HOMEPAGE="https://wiki.lxde.org/en/LXTerminal"
+
+if [[ ${PV} == *9999* ]]; then
+ EGIT_REPO_URI="https://git.code.sf.net/p/lxde/${PN}"
+ inherit git-r3
+ KEYWORDS="amd64 arm ppc x86"
+else
+ SRC_URI="mirror://sourceforge/lxde/${P}.tar.xz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~mips ~ppc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="gtk3"
+
+RDEPEND="dev-libs/glib:2
+ !gtk3? ( x11-libs/gtk+:2 x11-libs/vte:0 )
+ gtk3? ( x11-libs/gtk+:3 x11-libs/vte:2.91 )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ sys-devel/gettext
+ >=dev-util/intltool-0.40.0"
+
+src_prepare() {
+ default
+ eautoreconf
+
+ export LINGUAS="${LINGUAS:-${PLOCALE_BACKUP}}"
+ l10n_get_locales > po/LINGUAS || die
+}
+
+src_configure() {
+ econf --enable-man $(use_enable gtk3)
+}